# Interface QuorumVerifier

All Known Implementing Classes:
  `QuorumHierarchical, QuorumMaj, QuorumOracleMaj`

public interface QuorumVerifier
All quorum validators have to implement a method called containsQuorum, which verifies if a HashSet of server identifiers constitutes a quorum.

## Method Summary

Modifier and Type
Method
Description
`default boolean`
`askOracle()`
`boolean`
`containsQuorum(Set<Long> set)`
`boolean`
`equals(Object o)`
`Map<Long, QuorumPeer.QuorumServer>`
`getAllMembers()`
`default boolean`
`getNeedOracle()`
`Map<Long, QuorumPeer.QuorumServer>`
`getObservingMembers()`
`default String`
`getOraclePath()`
`long`
`getVersion()`
`Map<Long, QuorumPeer.QuorumServer>`
`getVotingMembers()`
`long`
`getWeight(long id)`
`default boolean`
`overrideQuorumDecision(List<LearnerHandler> forwardingFollowers)`
`default boolean`
`revalidateOutstandingProp(Leader self, ArrayList<Leader.Proposal> outstandingProposal, long lastCommitted)`
`default boolean`
`revalidateVoteset(SyncedLearnerTracker voteSet, boolean timeout)`
`void`
`setVersion(long ver)`
`String`
`toString()`
`default boolean`
`updateNeedOracle(List<LearnerHandler> forwardingFollowers)`

## Method Details

### getWeight

long getWeight(long id)

### containsQuorum

boolean containsQuorum(Set<Long> set)

### getVersion

long getVersion()

### setVersion

void setVersion(long ver)

### getAllMembers

Map<Long, QuorumPeer.QuorumServer> getAllMembers()

### getVotingMembers

Map<Long, QuorumPeer.QuorumServer> getVotingMembers()

### getObservingMembers

Map<Long, QuorumPeer.QuorumServer> getObservingMembers()

### equals

boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### updateNeedOracle

default boolean updateNeedOracle(List<LearnerHandler> forwardingFollowers)

### getNeedOracle

default boolean getNeedOracle()

### askOracle

default boolean askOracle()

### overrideQuorumDecision

default boolean overrideQuorumDecision(List<LearnerHandler> forwardingFollowers)

### revalidateOutstandingProp

default boolean revalidateOutstandingProp(Leader self, ArrayList<Leader.Proposal> outstandingProposal, long lastCommitted)

### revalidateVoteset

default boolean revalidateVoteset(SyncedLearnerTracker voteSet, boolean timeout)

### getOraclePath

default String getOraclePath()

### toString

String toString()

Overrides:
  `toString` in class `Object`